<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Brute Force Protection"                              |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.0 / December 2013

*/

global $activeModules, $dbPrefix, $loginFailCount;
if(array_key_exists('brute_force', $activeModules) && $activeModules['brute_force']['active']=="yes")  {

    if (!isset($_POST['form_userlogin'])) $_POST['form_userlogin'] = $_REQUEST['username'];
    logaction('login fail', gethostbyname($_SERVER['REMOTE_ADDR']).' / '.$_POST['form_userlogin'].' / '.($loginFailCount+1));
    if ( ($loginFailCount+1) > $activeModules['brute_force']['allowedattempts']) { // that's enough!
        logaction('brute force attempt', 'blocked: '.$_POST['form_userlogin'].' / '.gethostbyname($_SERVER['REMOTE_ADDR']));
        if ($activeModules['brute_force']['sendMail']=="yes") {
            @mail(
                $activeModules['brute_force']['recipient'],
                $activeModules['brute_force']['subject'],
                'blocked: '.$_POST['form_userlogin'].' / IP: '.gethostbyname($_SERVER['REMOTE_ADDR']),
                'From: '.$activeModules['brute_force']['sender']
                );
            logaction('brute force alert mail', $activeModules['brute_force']['recipient']);
        }
    }

}